=== debian/control ===
Source: ros-foxy-srdfdom
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libconsole-bridge-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-cmake, ros-foxy-console-bridge-vendor, ros-foxy-tinyxml2-vendor, ros-foxy-urdf, ros-foxy-urdfdom-headers, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/srdfdom
Standards-Version: 3.9.2

Package: ros-foxy-srdfdom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-foxy-console-bridge-vendor, ros-foxy-tinyxml2-vendor, ros-foxy-urdf, ros-foxy-urdfdom-py, ros-foxy-ros-workspace
Description: Parser for Semantic Robot Description Format (SRDF).
